curl --request GET \
--url https://api.mintlify.com/v1/agent/{projectId}/jobs \
--header 'Authorization: Bearer <token>'{
"allSessions": [
{
"sessionId": "<string>",
"subdomain": "<string>",
"branch": "<string>",
"haulted": true,
"haultReason": "completed",
"pullRequestLink": "<string>",
"messageToUser": "<string>",
"todos": [
{
"content": "<string>",
"status": "pending",
"priority": "high",
"id": "<string>"
}
],
"userId": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Deprecated. Retrieve all agent jobs for a project to monitor activities and track historical job statuses.
curl --request GET \
--url https://api.mintlify.com/v1/agent/{projectId}/jobs \
--header 'Authorization: Bearer <token>'{
"allSessions": [
{
"sessionId": "<string>",
"subdomain": "<string>",
"branch": "<string>",
"haulted": true,
"haultReason": "completed",
"pullRequestLink": "<string>",
"messageToUser": "<string>",
"todos": [
{
"content": "<string>",
"status": "pending",
"priority": "high",
"id": "<string>"
}
],
"userId": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}The Authorization header expects a Bearer token. Use an admin API key (prefixed with mint_). This is a server-side secret key. Generate one on the API keys page in your dashboard.
Number of jobs to skip for pagination.
x >= 0Number of jobs to return. Maximum is 100.
1 <= x <= 100All agent jobs retrieved successfully
Array of all agent sessions for the domain.
Show child attributes
Was this page helpful?